# Monaca CLI Tutorial

Monaca CLI is a development environment that can be used to develop Monaca apps locally. Monaca CLI provides a command line interface for using the Monaca Cloud from your local PC. You can create new local projects, import or clone existing projects from the Monaca Cloud to your local PC and start developing Monaca apps with a code editor you like. Monaca CLI allows you to debug your app with inspector integration and remote build your projects without any local setup.

Before getting started with this tutorial, you need to:

* install the Monaca CLI with the following command ([read more](/products_guide/monaca_cli/overview.md#step-1-cli-installation)).

  ```
  $ npm install -g monaca
  ```
* have a smart mobile device (either iOS or Android) if you want to test on a real device.

{% content-ref url="/pages/-MfWeAgicwVpXLZ8DS5-" %}
[Part 1: Starting a Project](/tutorials/monaca_cli/starting_project.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAgXlWVNXvvODF3B" %}
[Part 2: Running Monaca Debugger with Monaca CLI](/tutorials/monaca_cli/testing_debugging.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAhFJ317DF4UqjJe" %}
[Part 3: Building a Monaca App](/tutorials/monaca_cli/building_app.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAhMkpvxAOHE8t0i" %}
[Part 4: Publishing a Monaca App](/tutorials/monaca_cli/publishing_app.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/tutorials/monaca_cli.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
